export class ActiveEffectSheet extends ItemSheet {
    /**@override */
    static get defaultOptions() {
        return foundry.utils.mergeObject(super.defaultOptions, {
            classes: ['dsa41', 'sheet', 'activeeffect'],
            width: 520,
            height: 480
        });
    }

    /** @override */
    get template() {
        return `systems/DSA_4-1/templates/item/item-activeeffect-sheet.hbs`;
    }

    /** @override */
    getData() {
        // Retrieve the data structure from the base sheet. You can inspect or log
        // the context variable to see the structure, but some key properties for
        // sheets are the actor object, the data object, whether or not it's
        // editable, the items array, and the effects array.
        const context = super.getData();
        const effects = context.document.getEmbeddedCollection("ActiveEffect").contents;
        if (effects.length > 0) {
            context.effectId = effects[0]._id;
        }

        return context;
    }

    activateListeners(html) {
        super.activateListeners(html);

        // Everything below here is only needed if the sheet is editable
        if (!this.isEditable) return;

        html.on('click', '.editEffects', (evt) => {
            const {id} = evt.currentTarget.dataset;
            const effect = this.object.effects.get(id);
            effect.sheet.render(true);
        })
    }

}
